Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class ExtendedVisitContext

    java.lang.Object
      javax.faces.component.visit.VisitContext
          org.richfaces.context.ExtendedVisitContext

    public abstract class ExtendedVisitContext

extends javax.faces.component.visit.VisitContext

Author:
  Nick Belaevski

Field Summary
`static String` | `META_COMPONENT_ID`

Fields inherited from class javax.faces.component.visit.VisitContext
`ALL_IDS`

Constructor Summary
`protected` | `ExtendedVisitContext(javax.faces.context.FacesContext facesContext, ExtendedVisitContextMode visitMode)`

Method Summary
`String` | `buildExtendedClientId(javax.faces.component.UIComponent component)`
`String` | `buildExtendedComponentId(javax.faces.component.UIComponent component)`
`abstract javax.faces.component.visit.VisitContext` | `createNamingContainerVisitContext(javax.faces.component.UIComponent component, Collection<String> directIds)`
`abstract Collection<String>` | `getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)`
`javax.faces.context.FacesContext` | `getFacesContext()`
`ExtendedVisitContextMode` | `getVisitMode()`
`javax.faces.component.visit.VisitResult` | `invokeMetaComponentVisitCallback(javax.faces.component.UIComponent component, javax.faces.component.visit.VisitCallback callback, String metaComponentId)`

Methods inherited from class javax.faces.component.visit.VisitContext
`createVisitContext, createVisitContext, getHints, getIdsToVisit, getSubtreeIdsToVisit, invokeVisitCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_COMPONENT_ID

    public static final String META_COMPONENT_ID

See Also:
  Constant Field Values

Constructor Detail

### ExtendedVisitContext

    protected ExtendedVisitContext(javax.faces.context.FacesContext facesContext,
                                   ExtendedVisitContextMode visitMode)

Method Detail

### getVisitMode

    public ExtendedVisitContextMode getVisitMode()

### invokeMetaComponentVisitCallback

    public javax.faces.component.visit.VisitResult invokeMetaComponentVisitCallback(javax.faces.component.UIComponent component,
                                                                                    javax.faces.component.visit.VisitCallback callback,
                                                                                    String metaComponentId)

### buildExtendedClientId

    public String buildExtendedClientId(javax.faces.component.UIComponent component)

### buildExtendedComponentId

    public String buildExtendedComponentId(javax.faces.component.UIComponent component)

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext()

  Specified by:
    `getFacesContext` in class `javax.faces.component.visit.VisitContext`

### getDirectSubtreeIdsToVisit

    public abstract Collection<String> getDirectSubtreeIdsToVisit(javax.faces.component.UIComponent component)

### createNamingContainerVisitContext

    public abstract javax.faces.component.visit.VisitContext createNamingContainerVisitContext(javax.faces.component.UIComponent component,
                                                                                               Collection<String> directIds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.